
addPostAjaxAddHTMLModifiers (function (htmlJQ) {
	var $SelectBoxContainer = htmlJQ.find('.selectBoxContainer');
    
	if(!($.browser.msie && ($.browser.version == 6.0))){
		$('<span class="selectArrow"></span>').appendTo($SelectBoxContainer);
	}
	
	/**
	 * stylish selectbox
	 */
    if (!$.browser.opera || !($.browser.msie && ($.browser.version == 6.0))) {
    	if(!($.browser.msie && ($.browser.version == 6.0))){
	        $('select', $SelectBoxContainer).each(function(){
	        	var $this = $(this);
	        	
	        	var $SelectedOption = $('option:selected', $this);
	        	
	        	if($SelectedOption.length == 0)
	        		$SelectedOption = $('option', $this).first();
	        	
	            var title = $SelectedOption.text();
	            
	            $this.attr('title', $SelectedOption.text());
	            
	            $this.css({'z-index':10,'opacity':0,'-khtml-appearance':'none'})
	                .after('<span class="select notIE6">' + title + '</span>')
	                .change(function(){
	                	$SelectedOption = $('option:selected', $this);
	                    $this.attr('title', $SelectedOption.text());

	                    var val = $SelectedOption.text();
	                    $this.siblings('span.select').text(val);
                    });
	        });
    	}
    };
}, true);
